## libhildon 0.9.9-1

=== debian/changelog ===
libhildon (0.9.9-1) unstable; urgency=low

  * Unreleased.

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Wed, 01 Jan 2007 12:00:00 +0300
