## libhildon 1.0.11-1

=== debian/changelog ===
libhildon (1.0.11-1) stable; urgency=low

  * Adding some new API functions to control the active item in HildonFindToolbar
  * Fixing the default focus for font selection dialog
  * New examples
  * Changing the default long key press time
  * Fixed time picker on-map breakage

  * Fixes: NB#63700 wrong definition for HILDON_WINDOW_LONG_PRESS_TIME
  * Fixes: NB#54182 HildonDateEditor min/max properties cannot be set
  * Fixes: NB#63430 Ok button of preview dialog is not highlited,when font size is 32pt.

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Wed, 25 Jul 2007 10:14:34 +0300

libhildon (1.0.10-2) stable; urgency=low

  * Fix header installation. 

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Mon,  2 Jul 2007 10:09:31 +0300

libhildon (1.0.10-1) stable; urgency=low

  * Fixing a bit of focus crazyness in the time and date editors
  * Removing the separator from the code dialog
  * Fixing circular dep to enums
  * Hide the HildonWindow before performing the destroy

  * Fixes: NB#61129 volumebar info banner in muted state
  * Fixes: NB#61128 volumebar sensitivy does not change when the widget is not mapped
  * Fixes: NB#60518 Unable to move the focus from the buttons to date or time editor.
  * Fixes: NB#60349 Date editor invalidates keyboard number input

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 29 Jun 2007 16:49:58 +0300
