=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,16 @@
 	INSTALL_PROGRAM += -s
 endif
 
+# shared library versions, option 1
+# version=0.0.0 
+# major=0
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+version=`ls src/.libs/lib*.so.* | \
+awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+
+major=`ls src/.libs/lib*.so.* | \
+awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
+
 config.status: $(SOURCE_DIR)/configure
 	dh_testdir
 #	Add here commands to configure the package.
@@ -42,8 +52,7 @@
                --infodir=\$${prefix}/share/info     \
                --with-doc-dir=\$${prefix}/share/doc \
                --disable-dependency-tracking        \
-               --disable-gtk-doc                    \
-		--without-maemo-gtk
+               --disable-gtk-doc
 
 $(SOURCE_DIR)/configure:
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(SOURCE_DIR)/autogen.sh
@@ -60,6 +69,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
+	rm -rf debian/build
 #	Add here commands to clean up after the build process.
 	-$(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -78,14 +88,14 @@
 	dh_installdirs
 
 #	Add here commands to install the package into debian/build
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
 
-#	ln -s -f libhildon-1.so $(CURDIR)/debian/build/usr/lib/libhildon_1.so 
-#	ln -s -f libhildon-1.so.0 $(CURDIR)/debian/build/usr/lib/libhildon_1.so.0
-#	ln -s -f libhildon-1.so.0.0.0 $(CURDIR)/debian/build/usr/lib/libhildon_1.so.0.0.0 
+	ln -s -f libhildon-1.so $(CURDIR)/debian/build/usr/lib/libhildon_1.so 
+	ln -s -f libhildon-1.so.0 $(CURDIR)/debian/build/usr/lib/libhildon_1.so.0
+	ln -s -f libhildon-1.so.0.0.0 $(CURDIR)/debian/build/usr/lib/libhildon_1.so.0.0.0 
 
 #	for the -dbg package
-#	rm -rf $(CURDIR)/debian/build/usr/lib/debug
+	rm -rf $(CURDIR)/debian/build/usr/lib/debug
 #	-mkdir -p $(CURDIR)/debian/build/usr/lib/debug
 #	-cp -vd $(CURDIR)/debian/build/usr/lib/lib*.so* $(CURDIR)/debian/build/usr/lib/debug
 
@@ -103,17 +113,17 @@
 #	dh_installexamples
 	@if [ -d debian/build/usr/share/gtk-doc ]; then		\
 	  echo "Installing gtk-doc" ;				\
-	  dh_install --sourcedir=debian/tmp -v ;		\
+	  dh_install --sourcedir=debian/build -v ;		\
 	else 							\
 	  echo "Skipping gtk-doc" ;				\
-	  dh_install --sourcedir=debian/tmp -v -Xgtk-doc ;	\
+	  dh_install --sourcedir=debian/build -v -Xgtk-doc ;	\
 	fi
 	dh_installman
 	dh_link
-	dh_strip --dbg-package="libhildon-1-0-dbg"
+	dh_strip --dbg-package="libhildon1"
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libhildon-1-0 (>= 1.0.3)" 
+	dh_makeshlibs -V "libhildon1 (>= 1.0.3)" 
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
