=== debian/rules ===
--- 
+++ 
@@ -123,7 +123,7 @@
 	dh_strip --dbg-package="libhildon1"
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libhildon1 (>= 1.0.3)" 
+	dh_makeshlibs -V "libhildon1 (>= 1.0.11)" 
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
