## libhildon 1.99.0-1

=== debian/changelog ===
libhildon (1.99.0-1) stable; urgency=low

  * Fixes: NB#71660 RSS applet is not using correct logical colors for feeds
  * Upping version to (almost) 2.0.0 for hildon 2.0

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Wed, 10 Oct 2007 14:10:28 +0300

libhildon (1.0.17-1.1) stable; urgency=low

  * Fixes: NB#70842 General brokeness in toolbars visibility
  * Fixes: NB#62031 Extra arrow in front of top level item in breadcrumb trail
  * Fixes: MB#615 Can't show/hide the HildonWindow's toolbar

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 28 Sep 2007 15:03:11 +0300

libhildon (1.0.16-1.1) stable; urgency=low

  * Mem-leak fixes in font selector and color selector
  * Mem-leak fix in style helper
  * Making the code dialog a bit more thumbable 

  * Fixes: NB#63694 device lock, truncation of secu_application_title
  * Fixes: NB#70273 Memory leaks when switching applets and background
  * Fixes: NB#70474 Memory leak and access to already freed memory in color selector
  * Fixes: NB#70499 HildonFontSelectionDialog memory leak 

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 21 Sep 2007 14:41:13 +0300

libhildon (1.0.15-1.1) stable; urgency=low

  * debian/control: Add glib and gtk+ doc packages to build dependencies to
    get gtk-doc crossreferences right
  * debian/rules: --enable-gtk-doc (with nodocs DEB_BUILD_OPTIONS support)

  * Fixes: NB#67955 Device lock/unlock code not accepted from HW keyboard
  * Fixes: NB#52301 Wrong item is highlighted in Find toolbar history list 
  * Fixes: NB#68610 caption multiple focus possible in Authentication dialog weba_fi_auhentication_realm
  * Fixes: NB#69306 API documentation is missing

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Mon, 17 Sep 2007 14:07:51 +0300

libhildon (1.0.14-1) stable; urgency=low

  * Removing the patch for hiding HildonWindow before destroy. Breaks DBus.
  * Fixes for HildonCalendar expose methods
  * Fixes for composite-widgets focus handling
  * New dialog layout for the HildonCalendar (Ok/Cancel)
  * Making find toolbar thumbable
  * Changing the stylus repeat timeout to match our needs
  * New esd dependency 

  * Fixes: NB#54146 Hilon Calendar popup:The changes in active month/year are not shown
  * Fixes: NB#59299 Leaving the calendar dialog is not possible without selecting something
  * Fixes: NB#66060 Search toolbar has wrong height in ComboBoxEntry and toolbarbuttons are too narrow
  * Fixes: NB#58352 on startup, hildon-desktop GLIB WARNING ** hildon-1...
  * Fixes: NB#60489 Key repeat rate in number editor
  * Fixes: NB#65155 HildonVolumebar: mute grabs focus, not possible to adjust volume using HW keys
  * Fixes: NB#63955 hildon_volumebar_set_mute() grabs focus even if the widget is unmapped
  * Fixes: NB#66673 Questionable main loop iteration in hildon_window_destroy()
  * Fixes: NB#66628 Account setting dialog crashes while moving the focus using the h/w key. 
 
 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 24 Aug 2007 16:18:24 +0300

libhildon (1.0.13-1) stable; urgency=low

  * Fixes to HildonBanners for temporary windows
  * Minor bugfix in the helper function for logical colors
  * New examples

  * Fixes: NB#58352 on startup, hildon-desktop GLIB WARNING...

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 17 Aug 2007 14:46:03 +0300
