## libhildon 1.99.0-2

=== debian/changelog ===
libhildon (1.99.0-2) stable; urgency=low

  * Updating the gtk dependancy.

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Thu, 11 Oct 2007 16:05:48 +0300
