## libhildon 2.0.4-1

=== debian/changelog ===
libhildon (2.0.4-1) gutsy; urgency=low

  * src/hildon-banner.c: revert the recent change, that introduced gtk_window_present() calls. 
    This reopens: Bug 78481 - [freetest] information banners are hidden under browser menu
    But resolves another variant of: Bug 83953

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Wed, 16 Apr 2008 10:37:00 +0100

libhildon (2.0.3-1) gutsy; urgency=low

  * Fixes: NB#78896: libhildon code inspection/coverity: uninitialised local values in 
    hildon_date_editor_size_allocate
  * Fixes: NB#77775: Media Player, Save Now playing list, too long name makes banner disappear.
  * Fixes: NB#79182: info banner flickering with certain message lengts.
  * Fixes: NB#83953: Lock dialog is not visible when device is locked for the first time after flash

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Tue, 15 Apr 2008 15:03:00 +0100

libhildon (2.0.2-1) gutsy; urgency=low

  * Fixes: MB#1220: HildonWindow should take GtkMenu accel_group into account
  * Fixes NB#78481: information banners are hidden under browser menu
  * Fixes: NB#79791: Cannot set focus to Master volume using stylus
  * Fixes: NB#22072: Revisiting fix for "Implement robust timer handling in Info Banner" bug
  * Fixes: MB#924: Hildon widgets doesn't support RTL mode
  * Fixes: MB#1212: Hide info banners (infoprints) on click
  * Enable fixing: NB#79916 and NB#79918: The help topic for Color selector cannot be opened
  * Fixes: NB#81696: The passcode is not overwritten even after	selecting

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu, 03 Apr 2008 14:50:00 +0100

libhildon (2.0.1-2) gutsy; urgency=low

  * Fixes: MB#1276: wrong allocators used in hildon_window_get_borders

 -- Sven Herzberg <sven@imendio.com>  Mon, 25 Feb 2008 11:50:10 +0100

libhildon (2.0.1-1) unstable; urgency=low

  * Do not use PACKAGE_VERSION_MAJOR for the API revision.

 -- Xan Lopez <xan.lopez@nokia.com>  Thu, 10 Jan 2008 16:31:15 +0200

libhildon (2.0.0-1) unstable; urgency=low

  * Fixes NB#78616: breadcrumb trail node removal logic fix.
  * Fixes: NB#75310: add missing outer-border style property to HildonColorChooser.

 -- Xan Lopez <xan.lopez@nokia.com>  Wed, 09 Jan 2008 14:27:08 +0200

libhildon (1.99.1-1) stable; urgency=low

  * Fixes: NB#25592 Accessibility unable to access entry box

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Fri, 14 Dec 2007 11:29:19 +0200
