=== debian/control ===
Source: libhildon
Section: x11
Priority: optional
Maintainer: Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libgtk2.0-dev (>= 2.10.12-0osso16), libesd0-dev | osso-esd-dev, libxi-dev, libxt-dev, libpng12-dev, libgconf2-dev, gtk-doc-tools, libgtk2.0-doc, libglib2.0-doc
Standards-Version: 3.6.0

Package: libhildon1-dev
Section: devel
Architecture: any
Depends: libhildon1 (= ${Source-Version}), libgtk2.0-dev (>= 2.10.12-0osso16), libesd0-dev | osso-esd-dev, libgconf2-dev
Description: Hildon libraries development files

Package: libhildon1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-sounds-ui
Description: Hildon libraries

Package: libhildon1-dbg
Section: libdevel
Architecture: any
Depends: libhildon1 (= ${Source-Version})
Description: Debug symbols for hildon libraries
