## libhildon 2.0.6-1

=== debian/changelog ===
libhildon (2.0.6-1) gutsy; urgency=low

  * Fix bug in code dialog entry. Fixes: NB#85874
  * Added missing debian/compat

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  5 Aug 2008 10:43:50 +0300

libhildon (2.0.5-1) gutsy; urgency=low

  * src/hildon-color-chooser.h
  * src/hildon-color-chooser-dialog.h:
  * Fixes: NB#86838: Add G_BEGIN_DECLS and G_END_DECLS to allow linking
    against C++

 -- Karl Lattimer <karl.lattimer@nokia.com>  Mon, 14 Jul 2008 14:00:00 +0300 

libhildon (2.0.4-1) gutsy; urgency=low 

  * src/hildon-banner.c: revert the recent change, that introduced gtk_window_present() calls. 
    This reopens: Bug 78481 - [freetest] information banners are hidden under browser menu
    But resolves another variant of: Bug 83953

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Wed, 16 Apr 2008 10:37:00 +0100

libhildon (2.0.2-1) gutsy; urgency=low 

  * Fixes: MB#1220: HildonWindow should take GtkMenu accel_group into account
  * Fixes NB#78481: information banners are hidden under browser menu
  * Fixes: NB#79791: Cannot set focus to Master volume using stylus
  * Fixes: NB#22072: Revisiting fix for "Implement robust timer handling in Info Banner" bug
  * Fixes: MB#924: Hildon widgets doesn't support RTL mode
  * Fixes: MB#1212: Hide info banners (infoprints) on click
  * Enable fixing: NB#79916 and NB#79918: The help topic for Color selector cannot be opened
  * Fixes: NB#81696: The passcode is not overwritten even after	selecting

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu, 03 Apr 2008 14:50:00 +0100
