## libhildon 2.2.0-1~rc8+0m5

=== debian/changelog ===
libhildon (2.2.0-1~rc8+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 23 Sep 2009 14:21:45 +0300

libhildon (2.2.0-1~rc8) unstable; urgency=low

  * Fixes: NB#140140 (Allow custom widgets to be used in banners)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 23 Sep 2009 10:10:14 +0300

libhildon (2.2.0-1~rc7) unstable; urgency=low

  * Fixes: NB#138857 (hildon_gtk_window_take_screenshot doesn't take a
    screenshot)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 17 Sep 2009 17:56:18 +0300

libhildon (2.2.0-1~rc6) unstable; urgency=low

  * Fix a memory corruption in the fix for 137814.

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 14 Sep 2009 12:57:46 +0300

libhildon (2.2.0-1~rc5) unstable; urgency=low

  * NB#137814 (Indicator for view menu in app title area)
  * Documentation fixes updates (MB#5103, MB#5104)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 11 Sep 2009 20:24:24 +0300

libhildon (2.2.0-1~rc4) unstable; urgency=low

  * Fix hildon_pannable_area_scroll_to() after last changes.

 -- Claudio Saavedra <csaavedra@igalia.com>  Tue, 08 Sep 2009 11:17:51 +0300

libhildon (2.2.0-1~rc3) unstable; urgency=low

  * Increase pannable area max. speed.

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 07 Sep 2009 16:15:25 +0300

libhildon (2.2.0-1~rc2) unstable; urgency=low

  * Fixes: NB#127018 (Panning indicator fades out too slowly)
  * Improved UX for the pannable area with large lists.

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 07 Sep 2009 12:44:06 +0300

libhildon (2.2.0-1~rc1) unstable; urgency=low

  * Fixes: NB#132584 (Pannable kinetics in large lists needs tuning)
  * Fixes: MB#4580 (HILDON_WINDOW_LONG_PRESS_TIME is undocumented)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 04 Sep 2009 18:10:28 +0300

libhildon (2.1.97-1) unstable; urgency=low

  * Fixes: NB#110894 (In event view containing very large description
    field, application menu is displayed blank while panning)
  * Fixes: NB#131942 (HildonPickerDialog is seen empty when popping up
    for the first time)
  * Fixes: NB#131911 (Appmenu does not resize properly, when number of
    menu items change)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 04 Sep 2009 15:23:38 +0300

libhildon (2.1.96-6) unstable; urgency=low

  * Fixes: NB#134533 (UI freezes if we show a dialog with
    gtk_dialog_run() while a menu is opened)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 28 Aug 2009 18:41:31 +0200

libhildon (2.1.96-5) unstable; urgency=low

  * Revert panning tunning.

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 27 Aug 2009 10:49:56 +0200

libhildon (2.1.96-4) unstable; urgency=low

  * Fixes: NB#133767 (Information and confirmation note sound should
    follow system profile setting)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 26 Aug 2009 18:19:47 +0200

libhildon (2.1.96-3) unstable; urgency=low

  * Fixes NB#135344 (Pannign needs to be faster)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 26 Aug 2009 15:16:46 +0200

libhildon (2.1.96-2) unstable; urgency=low

  * Fixes: NB#133252 (Opening any feed item from RSS always opens the
         first feed item in browser)
  * Fixes: NB#135179 (Remove pannable timeouts in unrealize function)
  * Reverted fix for NB#132661.

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 26 Aug 2009 10:03:19 +0200

libhildon (2.1.96-1) unstable; urgency=low

  * Fixes NB#132661: (HildonCheckButton should inherit from
    GtkToggleButton)

 -- Alberto Garcia <agarcia@igalia.com>  Fri, 21 Aug 2009 11:55:56 +0200

libhildon (2.1.95-2) unstable; urgency=low

  * Fixes: NB#132584 (Pannable kinetics in large lists needs tuning)

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 20 Aug 2009 15:32:28 +0200

libhildon (2.1.95-1) unstable; urgency=low

  * Fixes: NB#131794 (pannable area produces unnecessary allocations
    causing performance problems)
  * Fixes: NB#130900 (HildonPannableArea will leak it's event_window
    if it's realized without showing and then deleted)

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 18 Aug 2009 16:21:40 +0200

libhildon (2.1.94-1) unstable; urgency=low

  * Fixes: NB#130910 (Screen gets unlocked when menu is open)
  * Fixes: NB#126115 (Pannable list overshooting is unusably slow for
    lists with slow row renderers)
  * Fixes: NB#126198 (gdk-threads API should be used to install idle and
    timeout handlers)

 -- Alberto Garcia <agarcia@igalia.com>  Mon, 10 Aug 2009 17:17:34 +0200

libhildon (2.1.93-1) unstable; urgency=low

  * Fixes: NB#122395 (hildon_entry_set_placeholder() should be in
    GtkEntry)
  * Bump GTK+ dependency to 2.14.7-1maemo5
  
  

 -- Claudio Saavedra <csaavedra@igalia.com>  Tue, 04 Aug 2009 20:08:53 +0200

libhildon (2.1.92-2) unstable; urgency=low

  * Fixes: NB#131013 (unable to stop panning file manager by tapping on
    it)

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 03 Aug 2009 12:35:48 +0200

libhildon (2.1.92-1) unstable; urgency=low

  * Fixes: NB#130043 (scrollindicator not smooth while panning)
  * Fixes: NB#123409 (Showing dialog consumes significant amount of
    time)
  * Fixes NB#130291 (New HildonTouchSelector API is required to center on
    any column item)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 30 Jul 2009 16:33:53 +0200

libhildon (2.1.91-1) unstable; urgency=low

   * Fixes: NB#118398 (HildonEntry - unnecessary rescaling of images)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 22 Jul 2009 12:43:15 +0200

libhildon (2.1.90-1) unstable; urgency=low

   * Fixes: NB#127896 (Information notes text truncated)

 -- Claudio Saavedra <csaavedra@igalia.com>  Tue, 21 Jul 2009 12:14:35 +0200

libhildon (2.1.88-1) unstable; urgency=low

  * Fixes: NB#124510 (The Application Menu is distorted when switched
    between portrait and landscape mode)
  * Fixes: NB#115388 (Power key menu does not resize itself)

