## libhildon 2.2.0-2%2bultrastable1%2b0m5

=== debian/changelog ===
libhildon (2.2.0-2+ultrastable1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 27 Oct 2009 20:42:39 +0200

libhildon (2.2.0-2+ultrastable1) unstable; urgency=low

  * Revert fix for NB#143919

 -- Alberto Garcia <agarcia@igalia.com>  Mon, 26 Oct 2009 14:38:02 +0100

libhildon (2.2.0-2+ultrastable0) unstable; urgency=low

  * Fixes: NB#143914
  * Fixes NB#143919
  * Also fixes the leaks in the touchselector (NB#141831)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 22 Oct 2009 18:01:52 +0300

libhildon (2.2.0-2) unstable; urgency=low

  * Fixes: NB#141140 (Rotation stops when banner is present)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 01 Oct 2009 14:39:21 +0300

libhildon (2.2.0-1) unstable; urgency=low

  * Fixes: NB#140186 (HildonPannableArea goes into an infinite loop)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 24 Sep 2009 15:48:18 +0300
