## libhildon 2.2.3-1%2b0m5

=== debian/changelog ===
libhildon (2.2.3-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Fri, 23 Oct 2009 15:00:03 +0300

libhildon (2.2.3-1) unstable; urgency=low

  * Fixes: NB#143759 (Setting the same selector twice to a picker button
    ends with the selector destroyed)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 21 Oct 2009 17:08:22 +0300

libhildon (2.2.2-1) unstable; urgency=low

  * Several memory leak fixes.
  * Fixes: NB#141240 (New API: hildon_gtk_window_enable_zoom_keys())
  * Fixes: NB#135750 (Permanent XErrors while switching between windows
    and task switcher)
  * Fixes: NB#125548 (HildonProgram notify::is-topmost is not working
    properly with stacks)
  * Fixes: NB#140339 (Unnecessary wake-ups in application due to XAtoms)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 16 Oct 2009 16:11:23 +0300

libhildon (2.2.1-2) unstable; urgency=low

  * Revert fix for NB#134010

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 16 Oct 2009 14:42:03 +0300

libhildon (2.2.1-1) unstable; urgency=low

  * Fixes: NB#141831 (memory leak in hildon-touch-selector)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 15 Oct 2009 12:01:01 +0300

libhildon (2.2.0-4) unstable; urgency=low

  * Fixes NB#134010 (Device not usable after opening the image from
    external application when image viewer contains edited and unsaved
    image)

 -- Xabier Rodriguez Calvar <xrcalvar@igalia.com>  Wed, 14 Oct 2009 11:52:38 +0200

libhildon (2.2.0-3) unstable; urgency=low

  * Fixes: NB#141367 (Reproducible browser crash)
  * Fixes: NB#141447 (HildonBanner crashes if a new one is shown
    during a delete event)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 01 Oct 2009 20:00:24 +0300
