## libhildon 2.2.15-1%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed" PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/share/pkgconfig
 DEB_CONFIGURE_EXTRA_FLAGS := $(ENABLE_GTK_DOC) --enable-maintainer-mode
 DEB_COMPRESS_EXCLUDE := .c
+DEB_DH_MAKESHLIBS_ARGS_libhildon1 := -a -V 'libhildon1 (>= 2.2.10)'
+DEB_INSTALL_CHANGELOGS_libhildon1 := --no-act
 
 config.status: $(DEB_SRCDIR)/configure
